A supported web browser is required for full functionality of Ambassify’s features.

Windows-supported browsers

  • Google Chrome (last 3 versions)
  • Mozilla Firefox (last 3 versions)
  • Microsoft Edge (last 3 versions)
  • Internet Explorer 11*

* Microsoft recommends using Microsoft Edge as your default browser, and supports Internet Explorer 11 for backward compatibility. Versions of Internet Explorer 10 and below are not supported by Ambassify, because they are not fully supported by Microsoft.

Mac-supported browsers

  • Google Chrome (last 3 versions)
  • Safari (last 3 versions)
  • Mozilla Firefox (last 3 versions)

Update your web browsers

It is best practice to keep your web browsers updated to the latest version to ensure that websites render properly. To update a supported browser, refer to their documentation: